Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view
Class ViewMetadata

    java.lang.Object
      javax.faces.view.ViewMetadata

    public abstract class ViewMetadata

extends java.lang.Object

`ViewMetadata` is reponsible for extracting and providing view parameter metadata from VDL views. Because `ViewDeclarationLanguage.getViewMetadata(javax.faces.context.FacesContext, java.lang.String)` is required to return `null` for JSP views and non-`null` for views authored in Facelets for JSF 2, this specification only applys to Facelets for JSF 2.

Since:
  2.0

Constructor Summary
`ViewMetadata()`

Method Summary
`abstract UIViewRoot` | `createMetadataView(FacesContext context)` Creates a new `UIViewRoot` containing only view parameter metadata.
`abstract java.lang.String` | `getViewId()`
`static java.util.Collection<UIViewParameter>` | `getViewParameters(UIViewRoot root)` Utility method to extract view metadata from the provided `UIViewRoot`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewMetadata

    public ViewMetadata()

Method Detail

### getViewId

    public abstract java.lang.String getViewId()

  Returns:
    the view ID for which this `ViewMetadata` instance was created

### createMetadataView

    public abstract UIViewRoot createMetadataView(FacesContext context)

  Creates a new `UIViewRoot` containing only view parameter metadata. The processing of building this `UIViewRoot` with metadata should not cause any events to be published to the application. The implementation must call `FacesContext.setProcessingEvents(boolean)` passing `false` as the argument, at the beginning of the method, and pass `true` to the same method at the end. The implementation must ensure that this happens regardless of ant exceptions that may be thrown.

  Parameters:
    `context` - the `FacesContext` for the current request
  Returns:
    a `UIViewRoot` containing only view parameter metadata (if any)

### getViewParameters

    public static java.util.Collection<UIViewParameter> getViewParameters(UIViewRoot root)

  Utility method to extract view metadata from the provided `UIViewRoot`.

  Parameters:
    `root` - the `UIViewRoot` from which the metadata will be extracted from
  Returns:
    a `Collection` of `UIViewParameter` instances. If the view has no metadata, the collection will be empty.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.